## Class Database_test.SQL_Statements

- java.lang.Object
- - Database_test.SQL_Statements

All Implemented Interfaces:
  SQL_Listener

Enclosing class:
  Database_test

    public static class Database_test.SQL_Statements
    extends Object
    implements SQL_Listener

### Constructor Summary

Constructors
Constructor and Description
`Database_test.SQL_Statements()`

### Method Summary

Methods
`void` `SQL_Statement(String SQL)` Called by a Data_Port before an SQL statement is sent to the database server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Database_test.SQL_Statements

    public Database_test.SQL_Statements()

### Method Detail

#### SQL_Statement

    public void SQL_Statement(String SQL)

Description copied from interface: `SQL_Listener`
Called by a Data_Port before an SQL statement is sent to the database server.

Specified by:
  `SQL_Statement` in interface `SQL_Listener`
Parameters:
  `SQL` - The SQL statement String that will be sent to the database server.